Page MenuHomePhabricator

Increase Docker image's PHP upload limit from 2 MiB to 100 MiB
Closed, ResolvedPublic

Description

Testing photo, audio, and video uploads may require files of dozens or a few hundred megabytes; currently the docker image limits upload size via Special:Upload to 2 MiB. Should probably match the production setting of 100 MiB to simplify uploads of medium-sized files.

This is controlled with the php.ini settings upload_max_filesize and post_max_size, which are awkward to edit manually and cannot be set in LocalSettings.php.

(Larger files can be uploaded via CLI or using UploadWizard through the chunk stash.)

Event Timeline

brion created this task.Mar 4 2020, 7:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2020, 7:13 PM
brennen moved this task from Backlog to Next on the User-brennen board.
brennen moved this task from Backlog to To Do on the MediaWiki-Docker board.

Change 576983 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[releng/dev-images@master] php-fpm-apache: set upload size limit to 100M

https://gerrit.wikimedia.org/r/576983

Change 576988 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[mediawiki/core@master] docker: Bump image version to increase upload size

https://gerrit.wikimedia.org/r/576988

Change 576983 merged by Brennen Bearnes:
[releng/dev-images@master] php-fpm-apache: set upload size limit to 100M

https://gerrit.wikimedia.org/r/576983

Mentioned in SAL (#wikimedia-releng) [2020-03-05T01:28:55Z] <brennen> Updating dev-images docker-pkg files on contint1001 for T246930

Change 576988 merged by jenkins-bot:
[mediawiki/core@master] docker: Bump image version to increase upload size

https://gerrit.wikimedia.org/r/576988

brennen closed this task as Resolved.Mar 5 2020, 9:39 PM

Yep.

brion added a comment.Mar 7 2020, 2:20 AM

Confirmed working on a fresh install, thanks all!